Page MenuHomePhabricator

cloudvps: suggestbot project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the suggestbot project needs to upgrade as soon as possible.

The list of affected VMs is:

  • suggestbot-prod.suggestbot.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/suggestbot

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 11:49 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 11:49 AM
nettrom_WMF removed a subscriber: nettrom_WMF.

Assigning this to my volunteer account as this is outside my current WMF responsibilities.

Looks like Trusty deprecation is the documentation to go to for this? Not sure if you've gotten around to creating all tasks for this, @aborrero, but if not, consider adding a link to it to facilitate finding and documenting why, when, and how to migrate?

I'll update the task description for this when I start working on the migration, probably in the coming week or two.

nettrom_WMF updated the task description. (Show Details)Sep 18 2018, 6:10 PM

Hey @Nettrom! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

The migration process has been started by creating a new instance suggestbot-01. Had a bit of a start-stop-start situation as the process of moving instances to the new eqiad region is coinciding with this work, so the new instance had a short life in the old region, but is now present in eqiad1-r.

Installed libraries and created a database for SuggestBot as mentioned in SuggestBot's log.

Next up is migrating source code and data from the old instance to the new, and testing that everything works.

Another ping. Deadline is approaching (2018-12-18).

Ping. Today is Friday and the deadline is Tuesday.

Nettrom closed this task as Resolved.Dec 15 2018, 5:13 PM

The suggestbot-prod instance has been shut down and deleted (ref the suggestbot log). SuggestBot is now running from suggestbot-01. Move completed, task resolved.